Bug 1293020 - [abrt] shotwell: gtk_widget_translate_coordinates(): shotwell killed by SIGSEGV
[abrt] shotwell: gtk_widget_translate_coordinates(): shotwell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c0a7dd48da3b67c816038a4db1b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 03:08 EST by Chen_Min_Chin
Modified: 2016-12-20 12:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:10:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.64 KB, text/plain)
2015-12-19 03:08 EST, Chen_Min_Chin
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-19 03:08 EST, Chen_Min_Chin
no flags Details
File: core_backtrace (5.64 KB, text/plain)
2015-12-19 03:08 EST, Chen_Min_Chin
no flags Details
File: dso_list (14.45 KB, text/plain)
2015-12-19 03:08 EST, Chen_Min_Chin
no flags Details
File: environ (3.40 KB, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: maps (71.32 KB, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: mountinfo (4.15 KB, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: open_fds (1.29 KB, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-12-19 03:09 EST, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2015-12-19 03:08:47 EST
Version-Release number of selected component:
shotwell-0.22.0-5.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        shotwell
crash_function: gtk_widget_translate_coordinates
executable:     /usr/bin/shotwell
global_pid:     12892
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_translate_coordinates at gtkwidget.c:6121
 #1 _update_widget_coordinates at gtkgesture.c:504
 #2 _gtk_gesture_update_point at gtkgesture.c:611
 #3 gtk_gesture_handle_event at gtkgesture.c:740
 #4 gtk_gesture_single_handle_event at gtkgesturesingle.c:221
 #5 gtk_event_controller_handle_event at gtkeventcontroller.c:230
 #6 _gtk_widget_run_controllers at gtkwidget.c:7321
 #7 _gtk_widget_captured_event at gtkwidget.c:7375
 #8 propagate_event_down at gtkmain.c:2571
 #9 propagate_event at gtkmain.c:2619

Potential duplicate: bug 1228883
Comment 1 Chen_Min_Chin 2015-12-19 03:08:55 EST
Created attachment 1107621 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2015-12-19 03:08:56 EST
Created attachment 1107622 [details]
File: cgroup
Comment 3 Chen_Min_Chin 2015-12-19 03:08:58 EST
Created attachment 1107623 [details]
File: core_backtrace
Comment 4 Chen_Min_Chin 2015-12-19 03:08:59 EST
Created attachment 1107624 [details]
File: dso_list
Comment 5 Chen_Min_Chin 2015-12-19 03:09:01 EST
Created attachment 1107625 [details]
File: environ
Comment 6 Chen_Min_Chin 2015-12-19 03:09:02 EST
Created attachment 1107626 [details]
File: exploitable
Comment 7 Chen_Min_Chin 2015-12-19 03:09:04 EST
Created attachment 1107627 [details]
File: limits
Comment 8 Chen_Min_Chin 2015-12-19 03:09:06 EST
Created attachment 1107628 [details]
File: maps
Comment 9 Chen_Min_Chin 2015-12-19 03:09:07 EST
Created attachment 1107629 [details]
File: mountinfo
Comment 10 Chen_Min_Chin 2015-12-19 03:09:09 EST
Created attachment 1107630 [details]
File: namespaces
Comment 11 Chen_Min_Chin 2015-12-19 03:09:10 EST
Created attachment 1107631 [details]
File: open_fds
Comment 12 Chen_Min_Chin 2015-12-19 03:09:12 EST
Created attachment 1107632 [details]
File: proc_pid_status
Comment 13 Chen_Min_Chin 2015-12-19 03:09:13 EST
Created attachment 1107633 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:22:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:10:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.